commit:     ee5fc056188fb23a507e0c94d3ac615d75361bcd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 18 01:51:32 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 18 01:57:51 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee5fc056

app-i18n/man-pages-zh_CN: add 1.6.4.2

This contains upstream commit 23e9f3d112fb8a91c9e857ab35948e45a889fb0c which
avoids colliding with >=sys-process/procps-4.0.5, but we don't currently
build it with CMake, so do that manually.

Bug: https://bugs.gentoo.org/958293
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-i18n/man-pages-zh_CN/Manifest                  |  1 +
 .../man-pages-zh_CN/man-pages-zh_CN-1.6.4.2.ebuild | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/app-i18n/man-pages-zh_CN/Manifest 
b/app-i18n/man-pages-zh_CN/Manifest
index 2244192b29cf..f52c6ec00f9d 100644
--- a/app-i18n/man-pages-zh_CN/Manifest
+++ b/app-i18n/man-pages-zh_CN/Manifest
@@ -1 +1,2 @@
 DIST man-pages-zh_CN-1.6.4.0.tar.gz 1859827 BLAKE2B 
a97ca00bec60aa5a272310ac8e3a31bcb84e9a43a0a70a863e54a663671a4f6a2471364b468b93502777ed38f980ea559e782c109385fcfc33182aac76f7fbb3
 SHA512 
35f928cbc084b830db7a7e89213d706bad216f79f6937452e35abf577631c0d575cbd5cf8f51cd3e9547a163f64f4afd914251f4a26daa48e256c6076edfb133
+DIST man-pages-zh_CN-1.6.4.2.tar.gz 1853922 BLAKE2B 
7289ef45277b926d923077226b5d5a9a6b9cf6f9116531c84b46154182ed567c2c50b8fff1ffaa1fcce04df3ea8f8b10f3e8549c6ca296bdc0242eeed1b140a5
 SHA512 
193eaafa4ca7d35c4d99dc7c978bdc987b06c2d8a39205c4d1664bdceb8974e58464be8f7cf327252de840e8fe6cde3ee7a8ad65ff747a793878da4d041616b9

diff --git a/app-i18n/man-pages-zh_CN/man-pages-zh_CN-1.6.4.2.ebuild 
b/app-i18n/man-pages-zh_CN/man-pages-zh_CN-1.6.4.2.ebuild
new file mode 100644
index 000000000000..2aadca3ccb5d
--- /dev/null
+++ b/app-i18n/man-pages-zh_CN/man-pages-zh_CN-1.6.4.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A somewhat comprehensive collection of Chinese Linux man pages"
+HOMEPAGE="https://github.com/man-pages-zh/manpages-zh";
+MY_PN="manpages-zh"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="https://github.com/man-pages-zh/${MY_PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="FDL-1.2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="virtual/man"
+
+src_configure() {
+       :
+}
+
+src_compile() {
+       :
+}
+
+src_install() {
+       local prune_manpages=(
+               # groups' zh_CN manpage is already provided by sys-apps/shadow
+               # to avoid file collision, we have to remove it
+               groups.1
+
+               # Avoid collisions with >=sys-process/procps-4.0.5
+               pgrep.1 pidof.1 free.1 pmap.1 ps.1 pwdx.1 slabtop.1
+               tload.1 sysctl.8 vmstat.8 uptime.1 w.1 watch.1 top.1
+               procps.3 procps_misc.3 procps_pids.3 sysctl.conf.5
+       )
+       local man
+       for man in "${prune_manpages[@]}" ; do
+               rm -fv src/man${man#*.}/${man} || die
+       done
+
+       doman -i18n=zh_CN src/man?/*.[1-9]*
+       dodoc README.md AUTHORS ChangeLog NEWS
+}

Reply via email to